# -*- coding: utf-8 -*-

from pyDes import *
import hashlib
import os

# the block size for the cipher object; must be 8 for DES
BLOCK_SIZE = 8


# returns md5 hash of salted password
def hash_pass(password, salt):
    """
    Return the md5 hash of the password+salt
    """
    salted_password = password + salt
    return hashlib.md5(salted_password).hexdigest()


class TwoWayEncryption(object):

    def __init__(self):

        # generate a random secret key
        secret = os.urandom(BLOCK_SIZE)

        # des encoder object
        self._des = des(secret, CBC, "\0\0\0\0\0\0\0\0", pad=None,
        padmode=PAD_PKCS5)

    def get_des(self):
        return self._des

    def encrypt(self, decoded):
        return self._des.encrypt(decoded)

    def decrypt(self, encoded):
        return self._des.decrypt(encoded)




