# -*- coding: utf-8 -*-


class InfoDict(dict):

    def __init__(self, *args, **kwargs):

        super(InfoDict, self).__init__(*args, **kwargs)

    def get_as_int(self, key, default=None):

        value = self.get(key, None)
        if value is not None:
            try:
                value = Integer(value)
            except:
                #if default is not None:
                value = default
        return value

    def get_as_str(self, key):

        return self.get(key, None)


class Integer(int):

    def __new__(cls, *args, **kwargs):

        return  super(Integer, cls).__new__(cls, *args, **kwargs)

    def percentage(self, whole):

        return Float(100 * float(self) / whole)

    def is_greater_than(self, num):

        return self > num

    def is_less_than(self, num):

        return self < num


class Float(float):

    def __new__(cls, *args, **kwargs):

        return  super(Float, cls).__new__(cls, *args, **kwargs)

    def percentage(self, whole):

        return Float(100 * self / whole)

    def is_greater_than(self, num):

        return self > num

    def is_less_than(self, num):

        return self < num
